// +FHDR------------------------------------------------------------
//                 Copyright (c) 2020 PicocomTech.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : ecs_rfm_dm_mgt.c
// Author        : xianfeng.du
// Created On    : 2022-06-27
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------

#include "ucp_printf.h"
#include "mem_sections.h"
#include "ecs_rfm_dm_mgt.h"

EcsRfmDmLocalMgt_t gEcsRfmDmLocalMgt;
EcsRfmDmLocalMgt_t* get_ecs_rfm_dm_local_mgt(void)
{
    return (EcsRfmDmLocalMgt_t *)&gEcsRfmDmLocalMgt;
}

void ecs_rfm_dm_alloc(void)
{
    //int32_t core_id = get_core_id();
    //UCP_PRINT_LOG("ecs_rfm_spu[%d] start allocating dm.",core_id);

    EcsRfmDmLocalMgt_t* pEcsDmLocalMgt = get_ecs_rfm_dm_local_mgt();
    MEM_SECTION_INFO* pMemSection = GetRfmDm1Section();

#ifdef DISTRIBUTED_BS
    pEcsDmLocalMgt->pCpriPara = (stCpriPara*)memSectionAlloc(pMemSection, sizeof(stCpriPara), MEM_ALIGNED_4BYTES, "pCpriPara");
    pEcsDmLocalMgt->pCpriDelay = (stCpriDelayMeasure*)memSectionAlloc(pMemSection, sizeof(stCpriDelayMeasure), MEM_ALIGNED_4BYTES, "pCpriDelay");
#endif
    pEcsDmLocalMgt->pAlarmStatus = (stFhAlarmStat*)memSectionAlloc(pMemSection, sizeof(stFhAlarmStat), MEM_ALIGNED_4BYTES, "pAlarmStatus");
	for (int i = 0; i < MTIMER_MAX_NUM; i++)
	{
		pEcsDmLocalMgt->pMtimerPara[i] = (stMtimerPara*)memSectionAlloc(pMemSection, sizeof(stMtimerPara), MEM_ALIGNED_4BYTES, "pMtimerPara[i]");
	}

    return;
}

